namespace InABox.Core
{
    public class PasswordEditor : BaseEditor
    {
        public PasswordEditor(char passwordchar = '#')
        {
            PasswordChar = passwordchar;
            Width = 120;
        }

        public char PasswordChar { get; private set; }

        public bool ViewButtonVisible { get; set; }

        protected override BaseEditor DoClone()
        {
            return new PasswordEditor { PasswordChar = PasswordChar, ViewButtonVisible = ViewButtonVisible };
        }
    }
}